//
//  InterfaceController.swift
//  doMenuItem WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/02.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // タイマーとOutlet接続する
    @IBOutlet weak var myTimer: WKInterfaceTimer!
    
    // メニューアイテムとAction接続する
    @IBAction func timerStart() {
        // 現在時刻からタイマーをスタートする
        myTimer.setDate(NSDate())
        myTimer.start()
    }
    
    // メニューアイテムとAction接続する
    @IBAction func timerStop() {
        // タイマーを止める
        myTimer.stop()
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
